ARG UBI_IMAGE=registry.access.redhat.com/ubi8/ubi:8.3

FROM ${UBI_IMAGE}

ARG DNF_OPTS
ARG KUBECTL_VERSION

LABEL source="https://gitlab.com/gitlab-org/build/CNG/-/tree/master/kubectl" \
      name="GitLab kubectl" \
      maintainer="GitLab Distribution Team" \
      vendor="GitLab" \
      version=${KUBECTL_VERSION} \
      release=${KUBECTL_VERSION} \
      summary="GitLab kubectl used to configure Kubernetes." \
      description="GitLab kubectl used to configure Kubernetes."

ADD kubectl.tar.gz /

RUN chmod +x /usr/local/bin/{kubectl,yq} \
    && dnf clean all \
    && rm -r /var/cache/dnf \
    && dnf ${DNF_OPTS} install -by --nodocs openssh openssl \
    && rm /usr/libexec/openssh/ssh-keysign

# Default to non-root user
USER 65534:65534
